libqxp::ParagraphFormat Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libqxp::ParagraphFormat Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
| ParagraphFormat ()

## Public Attributes
HorizontalAlignment | alignment
Rect | margin
double | firstLineIndent
double | leading
bool | incrementalLeading
std::shared_ptr< ParagraphRule > | ruleAbove
std::shared_ptr< ParagraphRule > | ruleBelow
std::vector< TabStop > | tabStops
std::shared_ptr< HJ > | hj

## Constructor & Destructor Documentation

## ◆ ParagraphFormat()

libqxp::ParagraphFormat::ParagraphFormat | ( |  | ) |
| inline

## Member Data Documentation

## ◆ alignment

HorizontalAlignment libqxp::ParagraphFormat::alignment

Referenced by libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ firstLineIndent

double libqxp::ParagraphFormat::firstLineIndent

Referenced by libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ hj

std::shared_ptr<HJ> libqxp::ParagraphFormat::hj

Referenced by libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ incrementalLeading

bool libqxp::ParagraphFormat::incrementalLeading

Referenced by libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ leading

double libqxp::ParagraphFormat::leading

Referenced by libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ margin

Rect libqxp::ParagraphFormat::margin

Referenced by libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ ruleAbove

std::shared_ptr<ParagraphRule> libqxp::ParagraphFormat::ruleAbove

Referenced by libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ ruleBelow

std::shared_ptr<ParagraphRule> libqxp::ParagraphFormat::ruleBelow

Referenced by libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

## ◆ tabStops

std::vector<TabStop> libqxp::ParagraphFormat::tabStops

Referenced by libqxp::QXP1Parser::parseParagraphFormat(), libqxp::QXP33Parser::parseParagraphFormat(), and libqxp::QXP4Parser::parseParagraphFormat().

The documentation for this struct was generated from the following file:

- QXPTypes.h